Subject: bug#24433: fish needs to have bc in propagated-inputs

From: Arun Isaac <[email-masked]>
Date: Wed, 14 Sep 2016 14:18:01 +0530

'fish' needs 'bc' as a propagated input. I have noticed runtime errors
due to absence of bc. It's also mentioned here:

https://github.com/fish-shell/fish-shell#runtime-dependencies

Quoting the relevant paragraph:

"fish requires a number of utilities to operate, which should be present
on any Unix, GNU/Linux or OS X system. These include (but are not
limited to) hostname, grep, awk, sed, which, and getopt. fish also
requires the bc program."